<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KParts.BrowserRun</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>BrowserRun Class Reference</h1>
<code>from PyKDE4.kparts import *</code>
<p>
Inherits: <a href="../kio/KRun.html">KRun</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: KParts<br />
<h2>Detailed Description</h2>

<p>This class extends KRun to provide additional functionality for browsers:
- "save or open" dialog boxes
- "save" functionality
- support for HTTP POST (including saving the result to a temp file if
opening a separate application)
- warning before launching executables off the web
- custom error handling (i.e. treating errors as HTML pages)
- generation of SSL metadata depending on the previous URL shown by the part

<dl class="author" compact><dt><b>Author:</b></dt><dd> David Faure &lt;faure@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj193609516">AskEmbedOrSaveFlags</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;InlineDisposition, AttachmentDisposition&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj195367308">AskSaveResult</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Save, Open, Cancel&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj195395244">NonEmbeddableResult</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Handled, NotHandled, Delayed&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197843340">__init__</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, <a href="../kparts/KParts.OpenUrlArguments.html">KParts.OpenUrlArguments</a> args, <a href="../kparts/KParts.BrowserArguments.html">KParts.BrowserArguments</a> browserArgs, <a href="../kparts/KParts.ReadOnlyPart.html">KParts.ReadOnlyPart</a> part, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> window, bool removeReferrer, bool trustedSource, bool hideErrorDialog=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kparts/KParts.OpenUrlArguments.html">KParts.OpenUrlArguments</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164518508">arguments</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kparts/KParts.BrowserArguments.html">KParts.BrowserArguments</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164518220">browserArguments</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195369900">contentDisposition</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195391852">handleError</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KParts.BrowserRun.NonEmbeddableResult&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195395308">handleNonEmbeddable</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197842252">hideErrorDialog</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195392844">init</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kparts/KParts.ReadOnlyPart.html">KParts.ReadOnlyPart</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197843372">part</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184639948">save</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> suggestedFileName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195393900">scanFile</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195369772">serverSuggestsSave</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195255340">slotBrowserMimetype</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> type)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195254380">slotBrowserScanFinished</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201214892">slotCopyToTempFileResult</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201213580">slotStatResult</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195369644">url</a> (self)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184642220">allowExecution</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType, <a href="../kdecore/KUrl.html">KUrl</a> url)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KParts.BrowserRun.AskSaveResult&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193609036">askEmbedOrSave</a> (<a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> suggestedFileName=QString(), int flags=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KParts.BrowserRun.AskSaveResult&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193608460">askSave</a> (<a href="../kdecore/KUrl.html">KUrl</a> url, KService.Ptr offer, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> suggestedFileName=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195393804">isTextExecutable</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> mimeType)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184642156">simpleSave</a> (<a href="../kdecore/KUrl.html">KUrl</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> suggestedFileName, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> window=0)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj197843340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kparts/KParts.OpenUrlArguments.html">KParts.OpenUrlArguments</a>&nbsp;</td>
<td class="paramname"><em>args</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kparts/KParts.BrowserArguments.html">KParts.BrowserArguments</a>&nbsp;</td>
<td class="paramname"><em>browserArgs</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kparts/KParts.ReadOnlyPart.html">KParts.ReadOnlyPart</a>&nbsp;</td>
<td class="paramname"><em>part</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>window</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>removeReferrer</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>trustedSource</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>hideErrorDialog=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p></p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the URL we're probing

<tr><td></td><td valign="top"><em>args</em>&nbsp;</td><td> URL args - includes reload, metaData, etc.

<tr><td></td><td valign="top"><em>browserArgs</em>&nbsp;</td><td> browser-related args - includes data for a HTTP POST, etc.

<tr><td></td><td valign="top"><em>part</em>&nbsp;</td><td> the part going to open this URL - can be 0 if not created yet

<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> the mainwindow - passed to KIO.Job.setWindow()

<tr><td></td><td valign="top"><em>removeReferrer</em>&nbsp;</td><td> if true, the "referrer" metadata from <b>args</b> isn't passed on

<tr><td></td><td valign="top"><em>trustedSource</em>&nbsp;</td><td> if false, a warning will be shown before launching an executable.
Always pass false for <b>trustedSource,</b> except for local directory views.

<tr><td></td><td valign="top"><em>hideErrorDialog</em>&nbsp;</td><td> if true, no dialog will be shown in case of errors.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj184642220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool allowExecution</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164518508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kparts/KParts.OpenUrlArguments.html">KParts.OpenUrlArguments</a> arguments</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj193609036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KParts.BrowserRun.AskSaveResult askEmbedOrSave</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>suggestedFileName=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>flags=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Similar to askSave but for the case where the current application is
able to embed the url itself (instead of passing it to another app).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the URL in question

<tr><td></td><td valign="top"><em>mimeType</em>&nbsp;</td><td> the mimetype of the URL

<tr><td></td><td valign="top"><em>suggestedFileName</em>&nbsp;</td><td> optional filename suggested by the server

<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> set to AttachmentDisposition if suggested by the server
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> Save, Open or Cancel.
</dd></dl>
</p></div></div><a class="anchor" name="obj193608460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KParts.BrowserRun.AskSaveResult askSave</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KService.Ptr&nbsp;</td>
<td class="paramname"><em>offer</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>suggestedFileName=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Ask the user whether to save or open a url in another application.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> the URL in question

<tr><td></td><td valign="top"><em>offer</em>&nbsp;</td><td> the application that will be used to open the URL

<tr><td></td><td valign="top"><em>mimeType</em>&nbsp;</td><td> the mimetype of the URL

<tr><td></td><td valign="top"><em>suggestedFileName</em>&nbsp;</td><td> optional file name suggested by the server
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> Save, Open or Cancel.
</dd></dl>
</p></div></div><a class="anchor" name="obj164518220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kparts/KParts.BrowserArguments.html">KParts.BrowserArguments</a> browserArguments</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195369900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> contentDisposition</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> Suggested disposition by the server (e.g. HTTP content-disposition)
</dd></dl>
</p></div></div><a class="anchor" name="obj195391852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> handleError</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Called when an error happens.
NOTE: <b>job</b> could be 0, if you passed hideErrorDialog=true.
The default implementation shows a message box, but only when job != 0 ....
It is strongly recommended to reimplement this method if
you passed hideErrorDialog=true.
</p></div></div><a class="anchor" name="obj195395308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KParts.BrowserRun.NonEmbeddableResult handleNonEmbeddable</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Helper for foundMimeType: call this if the mimetype couldn't be embedded
</p></div></div><a class="anchor" name="obj197842252"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool hideErrorDialog</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195392844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> init</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reimplemented from KRun
</p></div></div><a class="anchor" name="obj195393804"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isTextExecutable</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>mimeType</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj197843372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kparts/KParts.ReadOnlyPart.html">KParts.ReadOnlyPart</a> part</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj184639948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> save</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>suggestedFileName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195393900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> scanFile</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reimplemented from KRun
</p></div></div><a class="anchor" name="obj195369772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool serverSuggestsSave</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj184642156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> simpleSave</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>suggestedFileName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>window=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195255340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotBrowserMimetype</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>type</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195254380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotBrowserScanFinished</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj201214892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotCopyToTempFileResult</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj201213580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotStatResult</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj195369644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> url</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj193609516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">AskEmbedOrSaveFlags</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>InlineDisposition</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>AttachmentDisposition</em>&nbsp;=&nbsp;1</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj195367308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">AskSaveResult</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Save</em>&nbsp;</td><td><tr><td valign="top"><em>Open</em>&nbsp;</td><td><tr><td valign="top"><em>Cancel</em>&nbsp;</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj195395244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">NonEmbeddableResult</td>
</tr>
</table>
</div>
<div class="memdoc"><p>NotHandled means that foundMimeType should call KRun.foundMimeType,
i.e. launch an external app.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Handled</em>&nbsp;</td><td><tr><td valign="top"><em>NotHandled</em>&nbsp;</td><td><tr><td valign="top"><em>Delayed</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
